//
//  ErrorViewController.m
//  FriendsMap
//
//  Created by Bernat Bombí Fernández on 04/12/11.
//  Copyright (c) 2011 . All rights reserved.
//

#import "ErrorViewController.h"
#import "AppDelegate.h"

@implementation ErrorViewController

@synthesize loadingView, btn;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    //defino el color de fondo
    self.view.backgroundColor = [[UIColor alloc] initWithRed: 0.87450980392157 green: 1.0 blue: 0.16078431372549 alpha: 1.0];
    //defino como es el boton
    [btn setTitle:@"Comprobar conexión" forState:UIControlStateNormal];
    btn.backgroundColor = [UIColor clearColor];    
    UIImage* button = [UIImage imageNamed:@"button.png"]; 
    UIImage *newImage = [button stretchableImageWithLeftCapWidth:button.size.width/2 topCapHeight:button.size.height/2];
    [btn setBackgroundImage:newImage forState:UIControlStateNormal];
    [btn setTitleColor:[UIColor darkTextColor] forState:UIControlStateNormal];
    [btn setTitleShadowColor:[UIColor whiteColor] forState:UIControlStateNormal];
    [btn setTitleShadowColor:[UIColor blackColor] forState:UIControlStateHighlighted];
    
}


- (void)viewDidUnload
{
    [super viewDidUnload];
}

-(IBAction)checkInternet:(id)sender{
    
    //ibaction que se activa al presionar el boton de comprobar conexión
    
    //defino titulo, comproevo, y dependiendo del resultado hago dimissmodal o no.
    [btn setTitle:@"Comprobando..." forState:UIControlStateNormal];
    
    UIActivityIndicatorView *act = [[UIActivityIndicatorView alloc] initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleGray];
    [act startAnimating];
    [loadingView addSubview:act];
    
    AppDelegate *appDelegate = [[UIApplication sharedApplication] delegate];
    
    if(![appDelegate reachable]){
       [btn setTitle:@"Sin conexión. Volver a probar" forState:UIControlStateNormal]; 
        [act removeFromSuperview];
    }
    else{
        [btn setTitle:@"Comprovar conexión" forState:UIControlStateNormal];
        [self dismissModalViewControllerAnimated:YES];
    }
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{    
    if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad) {
        return (interfaceOrientation == UIInterfaceOrientationLandscapeLeft);
    }
    else {
        return (interfaceOrientation == UIInterfaceOrientationPortrait);
    }
}

@end
