//
//  LoginViewController.h
//  FriendsMap
//
//  Created by Bernat Bombí Fernández on 24/11/11.
//  Copyright (c) 2011 . All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>

@interface LoginViewController : UIViewController{
    
    
    IBOutlet UITextField *mail;
    IBOutlet UITextField *psw;
    IBOutlet UIButton *btn;
    
    IBOutlet UIButton *registrate;
    IBOutlet UIButton *contrasenya;
    
    NSString *uid;
    
    NSArray *userData;
        
    IBOutlet UIActivityIndicatorView *act;
    
    UIStoryboard *mainStoryboard;
    
}

- (IBAction)loginMe:(id)sender;
- (IBAction)textFieldDoneEditing:(id)sender;

@property (nonatomic, retain) IBOutlet UITextField *mail;
@property (nonatomic, retain) IBOutlet UITextField *psw;
@property (nonatomic, retain) IBOutlet UIButton *btn;

@property (nonatomic, retain) IBOutlet UIButton *registrate;
@property (nonatomic, retain) IBOutlet UIButton *contrasenya;

@property (nonatomic, retain) NSString *uid;
@property (nonatomic, retain) NSArray *userData;

@property (nonatomic, retain) UIActivityIndicatorView *act;
@property (nonatomic, retain) UIStoryboard *mainStoryboard;


@end
