//
//  MapViewController.h
//  FriendsMap
//
//  Created by Bernat Bombí Fernández on 15/11/11.
//  Copyright (c) 2011 . All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import "LoginViewController.h"

@interface MapViewController : UIViewController{
    NSString			 *uid;
    UIStoryboard *mainStoryboard;
    IBOutlet MKMapView *mapView;
    
    CLLocationManager *locationManager;
    CLLocation *staringPoint;
    
    NSMutableArray *mapAnnotations;
    
    NSString *fid;
    
    BOOL mapCentered;
}

@property (nonatomic, retain) NSString	*uid;
@property (nonatomic, retain) UIStoryboard *mainStoryboard;
@property (nonatomic, retain) IBOutlet MKMapView *mapView;

@property (retain, nonatomic) CLLocationManager *locationManager;
@property (retain, nonatomic) CLLocation *startingPoint;

@property (nonatomic, retain) NSMutableArray *mapAnnotations;

@property (nonatomic, retain) NSString *fid;

@property BOOL mapCentered;

@end
