//
//  Annotation.h
//  FriendsMap
//
//  Created by Bernat Bombí Fernández on 25/12/11.
//  Copyright (c) 2011 . All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>

@interface Annotation : NSObject<MKAnnotation> {
    CLLocationCoordinate2D coordinate;
    NSString *title;
    NSString *fid;
}

@property (nonatomic, readonly) CLLocationCoordinate2D coordinate;
@property (nonatomic, copy) NSString *title;
@property (nonatomic, retain) NSString *fid;

// metodo para definir titulo, id y cordenada
-(id)initWithTitle:(NSString *)ttl initWithFid:(NSString *)fd andCoordinate:(CLLocationCoordinate2D)c2d;

@end
